#import "Plugin.h"

// You can then import different API headers to use the OsiriX functions.
// These headers are stored in the OsiriXAPI framework folder

#import <OsiriXAPI/BrowserController.h>
#import <OsiriXAPI/DicomStudy.h>
#import <OsiriXAPI/DicomSeries.h>
#import <OsiriXAPI/DicomStudy+Report.h>
#import <OsiriXAPI/DicomDatabase.h>
#import <OsiriXAPI/WebPortal.h>
#import <OsiriXAPI/NSManagedObject+N2.h>
#import <OsiriXAPI/WebPortalUser.h>
#import <OsiriXAPI/WebPortalStudy.h>
#import <OsiriXAPI/WebPortalConnection.h>
#import <OsiriXAPI/WebPortalConnection+Data.h>
#import <OsiriXAPI/WebPortal.h>
#import <OsiriXAPI/WebPortal+Email+Log.h>
#import <OsiriXAPI/WebPortalResponse.h>
#import <OsiriXAPI/WebPortalDatabase.h>
#import <OsiriXAPI/AsyncSocket.h>
#import <OsiriXAPI/QueryController.h>

@implementation YOURPLUGINCLASS

- (long) filterImage:(NSString*) menuName {
    
    if( [menuName containsString: @"Settings"]) {
        
        [NSApp beginSheet: myWindow modalForWindow: nil modalDelegate:self didEndSelector:@selector( settingsDidEnd:returnCode:contextInfo:) contextInfo: nil];
        [myWindow orderFront:self];
    }
    
	return 0;
}

- (IBAction)okButton:(id)sender {
    [myWindow close];
}

- (void) initPlugin
{
    // Instantiate the Settings xib file
    [NSBundle loadNibNamed: @"Settings" owner:self];
    
    NSLog( @"Hello from my plugin. This function is executed when OsiriX launches.");
}
@end
